Modify

Opened 9 years ago

Closed 9 years ago

Last modified 9 years ago

#3527 closed defect (fixed)

Port to Genshi (HDF dataset not available)

Reported by: anonymous Owned by: Russ Tyndall
Priority: normal Component: TracTabPlugin
Severity: normal Keywords:
Cc: Trac Release: 0.11

Description

Downloaded TracTabPlugin:

easy_install http://trac-hacks.org/svn/tractabplugin/ (Today, are in revision r4122).

After enabling TracTabPlugin in my trac.ini, the additional tabs do appear in the menu. However, clicking on one yields the following error:

Trac detected an internal error: AssertionError: HDF dataset not available. Check your clearsilver installation

I believe this is a compatibility issue: I'm running Python 2.4 and Trac 0.11. (Too bad, it was a nice feature.) Any chance of a upgrade?

Attachments (1)

tractabplugin.zip (4.0 KB) - added by anonymous 9 years ago.
.zip of Genshi-ported TracTabPlugin

Download all attachments as: .zip

Change History (6)

comment:1 Changed 9 years ago by anonymous

Oops, I'm actually using Trac 0.12dev-r7349.

comment:2 Changed 9 years ago by Russ Tyndall

If you downgrade to trac 11 stable this will work. Otherwise I will work on porting this to genshi at some point (after which it should work with 12dev)

Thanks, Russ

Changed 9 years ago by anonymous

Attachment: tractabplugin.zip added

.zip of Genshi-ported TracTabPlugin

comment:3 Changed 9 years ago by anonymous

Resolution: fixed
Status: newclosed

Ported to Genshi, including a .zip.

comment:4 Changed 9 years ago by anonymous

Summary: HDF dataset not available ???Port to Genshi (HDF dataset not available)

comment:5 Changed 9 years ago by Russ Tyndall

Awesome thanks for the patch. It has been committed and I will be updating the page soon.

Modify Ticket

Action
as closed The owner will remain Russ Tyndall.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.